package io.renren.modules.generator.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.generator.entity.CategoryEntity;

import java.util.Map;

public interface CategoryService extends IService<CategoryEntity> {
    PageUtils queryPage(Map<String, Object> params);

    void deleteBatch(Long[] categoryIds);

    Long getByName(String classificationtag);
}
